# sshsi
A simple and small ssh server image.

Inspired by [github.com/panubo/docker-sshd](https://github.com/panubo/docker-sshd).

You can pull the image from `registry.hhhammer.de/sshsi:latest`.

## Config
### SSH Host Keys
SSH uses host keys to identify the server. To avoid receiving a security warning the host keys should be mounted on an external volume.

By default this image will create new host keys in `/etc/ssh/keys` which should be mounted on an external volume. If you are using existing keys and they are mounted in `/etc/ssh` this image will use the default host key location making this image compatible with existing setups.

If you wish to configure SSH entirely with environment variables it is suggested that you externally mount `/etc/ssh/keys` instead of `/etc/ssh`.

### Authorized Keys
Mount your .ssh credentials (RSA public keys) at `/root/.ssh/` in order to access the container.

## License
This project is licensed under the MIT license.